Bug 81347 - Calc hangs opening some files waiting on the Windows print spooler if a network printer cannot be reached
Summary: Calc hangs opening some files waiting on the Windows print spooler if a netwo...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-14 12:58 UTC by Marcus Groeber
Modified: 2015-07-18 17:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Groeber 2014-07-14 12:58:36 UTC
The symptom is the same as described in bug 42673: an .ods file that opened without problems before now causes the application to hang for at least several minutes when trying to open it. Other .ods files can be opened fine.

In my case that hang appears to be related to a network printer that runs on a machine which I am not normally logged on to. After logging on through Windows Explorer, I was able to open the problematic .ods file normally.

Looking at the discussion on http://ask.libreoffice.org/en/question/18138/calc-hangs-on-opening-ods-file-some-days-some-days-not (after running into a similar issue with Libre Office 4.2.52 on Windows 8.1), I believe that bug 42673 was marked as "resolved" prematurely, as also indicated in comment #9 on that bug.

For what it's worth, there is also a reference to the printer in the settings.xml file inside the document (in <config:config-item config:name="PrinterName" config:type="string">).
Comment 1 bfoman (inactive) 2014-07-15 17:45:45 UTC
Could you please provide a backtrace for this crasher as described in https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg? It would help tremendously in pinpointing the cause.
Comment 2 Buovjaga 2014-11-18 11:42:58 UTC
Set to NEEDINFO per comment 1.
Change back to UNCONFIRMED after you have provided the backtrace.
Comment 3 QA Administrators 2015-06-08 14:28:52 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 4 QA Administrators 2015-07-18 17:27:29 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18